Index: admin/js/color-picker.js
===================================================================
--- admin/js/color-picker.js	(revision 0)
+++ admin/js/color-picker.js	(revision 392)
@@ -36,5 +36,7 @@
 		span.css('display','block');
 		
-		span.css('width',($(this).width()+12)+'px');
+		/*ligne supprimée car elle ne fait pas le calcul
+		du width de l'input et ça fout la merde */
+		//span.css('width',($(this).width()+12)+'px');
 		span.css('padding','0 5px 0 0');
 		$(this).wrap(span);
@@ -45,5 +47,7 @@
 			position: 'absolute',
 			top: 3,
-			right: 0
+			/* la largeur du span n'étant pas calculée
+			right: 0 crée un affichage pourri. On vire. */
+			//right: 0
 		});
 		
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 257)
+++ admin/style/default.css	(revision 391)
@@ -1127,5 +1127,5 @@
 p.field {
 	position: relative;
-
+	
 }
 p.field label {
Index: themes/ductile/mediaqueries.css
===================================================================
--- themes/ductile/mediaqueries.css	(revision 386)
+++ themes/ductile/mediaqueries.css	(revision 391)
@@ -13,5 +13,5 @@
 -------------------------------------------------------------------- */
 @media only screen and (max-width:480px) {
-	#prelude, #blogdesc, #supranav span {
+	.nomobile {
 		display: none !important;
 		}
@@ -38,6 +38,12 @@
 		border-bottom: 1px solid #ccc;
 		}
-	h2.post-title {
-		font-size: 2em;
+	.post-title {
+		font-size: 1.5em;
+		font-weight: bold;
+		font-family: "Franklin gothic medium","arial narrow","DejaVu Sans Condensed","helvetica neue",helvetica,sans-serif;
+		}
+	.post-title a {
+		font-style: normal;
+		font-weight: bold;
 		}
 	#stickers {
@@ -98,4 +104,12 @@
 		display: block;
 		}
+	.post-title {
+		font-size: 2.5em;
+		font-weight: normal;
+		}
+	.post-title a {
+		font-style: italic;
+		font-weight: normal;
+		}
 	#stickers {
 		position: absolute;
@@ -114,5 +128,5 @@
 		display: none;
 		}
-	h2.post-title {
+	.post-title {
 		font-size: 2.6em;
 		}
Index: themes/ductile/style.css
===================================================================
--- themes/ductile/style.css	(revision 386)
+++ themes/ductile/style.css	(revision 391)
@@ -163,5 +163,5 @@
 ------------------------------------------------------------- */
 
-#wrapper { }
+#wrapper { clear:both; }
 #main { }
 #content { 
@@ -233,13 +233,10 @@
 	display: none;
 	}
-h2.post-title {
-	font-weight: normal;
+.post-title {
 	margin-bottom: .33em;
 	color: #000;
 	line-height: 1.17;
 	}
-h2.post-title a {
-	font-weight: normal;
-	font-style: italic;
+.post-title a {
 	text-decoration: none;
 	color: #ad3f4c;
@@ -391,5 +388,5 @@
 	font-size: 1.14em;
 	}
-a.comment-number {
+.comment-number {
 	font-size: 2em;
 	font-weight: normal;
@@ -573,5 +570,5 @@
 	line-height: 2em;
 	}
-#search #q {
+#q {
 	float: left;
 	width: 78%;
@@ -579,5 +576,5 @@
 	padding-left: 2px;
 	}
-#search #q:focus {
+#q:focus {
 	background: #fcfcf9;
 	}
Index: themes/ductile/tpl/_top.html
===================================================================
--- themes/ductile/tpl/_top.html	(revision 367)
+++ themes/ductile/tpl/_top.html	(revision 391)
@@ -1,5 +1,5 @@
 <div id="header">
 
-	<ul id="prelude">
+	<ul id="prelude" class="nomobile">
 		<li><a href="#main">{{tpl:lang To content}}</a></li>
 		<li><a href="#blognav">{{tpl:lang To menu}}</a></li>
@@ -15,5 +15,5 @@
 		2. que l'utilisateur puisse indiquer si oui ou non il souhaite afficher la description (?)
 		-->
-		<p id="blogdesc">{{tpl:BlogDescription}}</p>
+		<p id="blogdesc" class="nomobile">{{tpl:BlogDescription}}</p>
 
 	<!-- # --BEHAVIOR-- publicTopAfterContent -->
@@ -26,8 +26,8 @@
 	-->
 	<ul id="supranav">
-		<li id="li1" class="active"><a href="{{tpl:BlogURL}}">Accueil<span> articles récents</span></a></li>
-		<li id="li2"><a href="#">Construire un thème<span> tutoriels</span></a></li>
-		<li id="li3"><a href="#">Maquettes<span> projets graphiques</span></a></li>
-		<li id="li4"><a href="{{tpl:BlogURL}}archive">Archives<span> 2005-2011</span></a></li>
+		<li id="li1" class="active"><a href="{{tpl:BlogURL}}">Accueil<span class="nomobile"> articles récents</span></a></li>
+		<li id="li2"><a href="#">Construire un thème<span class="nomobile"> tutoriels</span></a></li>
+		<li id="li3"><a href="#">Maquettes<span class="nomobile"> projets graphiques</span></a></li>
+		<li id="li4"><a href="{{tpl:BlogURL}}archive">Archives<span class="nomobile"> 2005-2011</span></a></li>
 	</ul>
 </div>