Index: themes/ductile/style.css
===================================================================
--- themes/ductile/style.css	(revision 470)
+++ themes/ductile/style.css	(revision 487)
@@ -121,5 +121,5 @@
 	font-family: "Franklin gothic medium","arial narrow","DejaVu Sans Condensed","helvetica neue",helvetica,sans-serif;
 	font-style: italic;
-	color: #909090;
+	color: #888;
 	text-shadow: none;
 	}
@@ -697,4 +697,5 @@
 .little-text { font-size : .875em;}
 .little-upper-text { font-size : .875em; text-transform : uppercase; }
+hr.hidden {background: #fff; color: #fff; border-color: #fff; }
 
 
@@ -708,24 +709,103 @@
 
 .dc-archive #content {
-	margin-left: 0;
+	margin: 0 18em 0 0;
 	}
 .arch-block {
-	float: left;
-	display: inline;
-	margin-right: 4em;
-	margin-bottom: 3em;
-	}
-.arch-block h3, .dc-archive #blogextra h2 {
+	display: inline-block;
+	margin: 0 5em 2em 0;
+	vertical-align: top;
+	}
+.arch-block h3 {
+	margin-bottom: 1em;
 	font-size: 1.2em;
 	font-style: italic;
 	font-weight: normal;
-	margin-bottom: 2em;
-	}
-.arch-block ul {
+	text-transform: lowercase;
+	}
+.arch-block h4 {
+	font-family: "Franklin gothic medium","arial narrow","DejaVu Sans Condensed","helvetica neue",helvetica,sans-serif;
+	font-weight: normal;
+	font-size: 1.1em;
+	margin-bottom: 0;
+	margin-top: 0;
+	}
+.arch-block ul, .dc-archive #blogextra ul {
 	list-style-type: none;
 	margin: 0;
 	padding: 0;
 	}
-
+.arch-block ul ul {
+	margin-left: 20px;
+	}
+
+#by-date {
+	margin-right: 0;
+	margin-bottom: 1em;
+	}
+#by-date h3 {
+	margin-bottom: 0;
+	}
+.fromto {
+	margin-top: 0;
+	margin-bottom: 1.5em;
+	font-size: .875em;
+	font-style: italic;
+	}
+#by-date div {
+	display: inline-block;
+	vertical-align: top;
+	margin: 0;
+	width: 10em;
+	}
+#by-date ul {
+	margin-bottom: 1em;
+	}
+#by-date span {
+	font-size: .875em;
+	}
+
+#by-cat ul {
+	background: transparent url(img/vline.png) repeat-y;
+	}
+#by-cat ul ul {
+	margin: .5em 0 0 .5em;
+	}
+#by-cat ul li {
+	padding: .2em .2em .2em 20px;
+	background: transparent url(img/hline.png) no-repeat left .82em;
+	}
+#by-cat ul li:last-child {
+	background-image: url(img/last-hline.png);
+	}
+#by-tag .tag0 { color: #909090; font-size: 90%; }
+#by-tag .tag10 { color: #828282; font-size: 92%; }
+#by-tag .tag20 { color: #737373; font-size: 94%; }
+#by-tag .tag30 { color: #656565; font-size: 96%; }
+#by-tag .tag40 { color: #484848; font-size: 98%; }
+#by-tag .tag50 { color: #3A3A3A; font-size: 100%; }
+#by-tag .tag60 { color: #2B2B2B; font-size: 102%; }
+#by-tag .tag70 { color: #1D1D1D; font-size: 104%; }
+#by-tag .tag80 { color: #0E0E0E; font-size: 106%; }
+#by-tag .tag90 { color: #030303; font-size: 108%; }
+#by-tag .tag100 { color: #000; font-size: 110%;}
+
+
+.dc-archive #search {
+	padding: 4px;
+	}
+.dc-archive #blogextra div {
+	background-color: transparent;
+	margin-bottom: 1em;
+	padding: 4px;
+	border: 1px solid #ccc;
+	-webkit-box-shadow: none;
+	-moz-box-shadow: none;
+	-o-box-shadow: none;
+	box-shadow: none;
+	}
+.dc-archive #blogextra h2 {
+	margin-bottom: .33em;
+	}	
+	
 .dc-archive-month h2.post-title {
 	font-size: 1.3em;
Index: themes/ductile/tpl/archive.html
===================================================================
--- themes/ductile/tpl/archive.html	(revision 470)
+++ themes/ductile/tpl/archive.html	(revision 487)
@@ -50,7 +50,9 @@
   <div class="content-inner">
 
-		<div id="by-date" class="arch-block"> <!-- by date -->
+<!-- entries sorted by date -->
+		<div id="by-date" class="arch-block">
 			<h3>{{tpl:lang By date}}</h3>
-	  	<tpl:Archives>
+			<p class="fromto">{{tpl:lang From}} <tpl:Entries no_content="1" order="asc" lastn="1"><a href="{{tpl:EntryURL}}">{{tpl:EntryDate format="%d %B %Y"}}</a></tpl:Entries> {{tpl:lang to}} <tpl:Entries no_content="1" order="desc" lastn="1"><a href="{{tpl:EntryURL}}">{{tpl:EntryDate format="%d %B %Y"}}</a></tpl:Entries></p>
+	  	<tpl:Archives order="asc">
 		    <tpl:ArchivesYearHeader>
 		    	<div>
@@ -60,5 +62,5 @@
 			      <li><a href="{{tpl:ArchiveURL}}"
 			      title="{{tpl:ArchiveDate encode_html="1"}}">{{tpl:ArchiveDate encode_html="1" format="%B"}}</a>
-			      ({{tpl:ArchiveEntriesCount}})</li>
+			      <span>({{tpl:ArchiveEntriesCount}})</span></li>
 			    <tpl:ArchivesYearFooter>
 		      </ul>
@@ -67,29 +69,56 @@
 	  	</tpl:Archives>
 	  </div>
+	  
+	  <hr class="hidden" />
+
+<!-- entries sorted by others criterias -->	
+		<tpl:Categories level="1">
+			<tpl:CategoriesHeader>
+				<div id="by-cat" class="arch-block">
+				<h3>{{tpl:lang By category}}</h3>
+				<ul>
+			</tpl:CategoriesHeader>
+				<li><a href="{{tpl:CategoryURL}}">{{tpl:CategoryTitle encode_html="1"}}</a>
+				<tpl:CategoryFirstChildren>
+					<tpl:CategoriesHeader>
+					<ul>
+					</tpl:CategoriesHeader>
+						<li><a href="{{tpl:CategoryURL}}">{{tpl:CategoryTitle encode_html="1"}}</a></li>				
+					<tpl:CategoriesFooter>
+					</ul>
+					</tpl:CategoriesFooter>
+				</tpl:CategoryFirstChildren>			
+				</li>
+			<tpl:CategoriesFooter>
+			</ul>
+			</div>
+			</tpl:CategoriesFooter>
+		</tpl:Categories>
 	
-		<div id="by-cat" class="arch-block"> <!-- by cat -->
-			<h3>{{tpl:lang By category}}</h3>
-			<tpl:Widget id="categories">
-				<setting name="title"></setting>
-			</tpl:Widget>
+		<tpl:Tags sortby="count" order="desc">
+			<tpl:TagsHeader>
+			<div id="by-tag" class="arch-block">
+				<h3>{{tpl:lang By tag}}</h3>
+				<ul>
+			</tpl:TagsHeader>
+					<li><a href="{{tpl:TagURL}}" class="tag{{tpl:TagRoundPercent}}">{{tpl:TagID}}</a></li>
+			<tpl:TagsFooter>
+				</ul>	
+			</div>
+			</tpl:TagsFooter>
+		</tpl:Tags>
+		
+		<hr class="hidden" />
+
+<!-- others things -->		
+		<div class="arch-block">
+			<tpl:Entries type="page" no_content="1">
+				<tpl:EntriesHeader><h3>{{tpl:lang Pages}}</h3>
+					<ul></tpl:EntriesHeader>
+					<li><a href="{{tpl:EntryURL}}">{{tpl:EntryTitle encode_html="1"}}</a></li>
+				<tpl:EntriesFooter></ul></tpl:EntriesFooter>
+			</tpl:Entries>
 		</div>
 	
-		<div id="by-tag" class="arch-block"> <!-- by tag -->
-			<h3>{{tpl:lang By tag}}</h3>
-			<ul>
-				<tpl:MetaData type="tag">
-					<li><a href="{{tpl:MetaURL}}" class="tag{{tpl:MetaRoundPercent}}">{{tpl:MetaID}}</a></li>
-				</tpl:MetaData>
-			</ul>	
-		</div>
-	
-		<div id="aside" class="arch-block"> <!-- others -->
-			<h3>{{tpl:lang Pages}}</h3>
-			<tpl:Widget id="pages">
-					<setting name="title"></setting>
-					<setting name="homeonly">0</setting>
-				</tpl:Widget>
-		</div>
-				
   </div> <!-- End .content-inner -->
   
@@ -104,7 +133,7 @@
 
   <div id="blogextra">
-		<tpl:Widget id="bestof">
-			<setting name="homeonly">0</setting>
-		</tpl:Widget>
+		{{tpl:Widgets type="extra"}}
+	</div>
+
   </div> <!-- End #blogextra -->
 </div>