Index: admin/blogs.php
===================================================================
--- admin/blogs.php	(revision 1553)
+++ admin/blogs.php	(revision 1668)
@@ -134,11 +134,10 @@
 		
 		echo
-		'<table class="clear"><tr>'.
-		'<th>'.__('Blog name').'</th>'.
-		'<th class="nowrap">'.__('Last update').'</th>'.
-		'<th class="nowrap">'.__('Entries (all types)').'</th>'.
-		'<th class="nowrap">'.__('Blog ID').'</th>'.
-		'<th>&nbsp;</th>'.
-		'<th class="nowrap">'.__('Status').'</th>'.
+		'<table class="clear"><caption class="hidden">'.__('Blogs list').'</caption><tr>'.
+		'<th scope="col" class="nowrap">'.__('Blog id').'</th>'.
+		'<th scope="col">'.__('Blog name').'</th>'.
+		'<th scope="col" class="nowrap">'.__('Entries (all types)').'</th>'.
+		'<th scope="col" class="nowrap">'.__('Last update').'</th>'.
+		'<th scope="col" class="nowrap">'.__('Status').'</th>'.
 		'</tr>';
 		
@@ -164,7 +163,6 @@
 	if ($GLOBALS['core']->auth->isSuperAdmin()) {
 		$edit_link = 
-		'<a href="blog.php?id='.$blog_id.'" '.
-		'title="'.sprintf(__('Edit blog %s'),$blog_id).'">'.
-		__('edit').'</a>';
+		'<a href="blog.php?id='.$blog_id.'"  title="'.sprintf(__('Edit blog settings for %s'),$blog_id).'">'.
+		'<img src="images/edit-mini.png" alt="'.__('Edit blog settings').'" /> '.$blog_id.'</a> ';
 	}
 	
@@ -177,11 +175,10 @@
 	return
 	'<tr class="line">'.
+	'<td class="nowrap">'.$edit_link.'</td>'.
 	'<td class="maximal"><a href="index.php?switchblog='.$rs->blog_id.'" '.
 	'title="'.sprintf(__('Switch to blog %s'),$rs->blog_id).'">'.
 	html::escapeHTML($rs->blog_name).'</a></td>'.
-	'<td class="nowrap">'.$blog_upddt.'</td>'.
-	'<td class="nowrap">'.$core->countBlogPosts($rs->blog_id).'</td>'.
-	'<td class="nowrap">'.$blog_id.'</td>'.
-	'<td>'.$edit_link.'</td>'.
+	'<td class="nowrap count">'.$core->countBlogPosts($rs->blog_id).'</td>'.
+	'<td class="nowrap count">'.$blog_upddt.'</td>'.
 	'<td class="status">'.$img_status.'</td>'.
 	'</tr>';
Index: admin/js/_posts_list.js
===================================================================
--- admin/js/_posts_list.js	(revision 1034)
+++ admin/js/_posts_list.js	(revision 1640)
@@ -28,23 +28,30 @@
 
 dotclear.viewPostsContent = function(img,lines) {
-	lines.each(function() {
-		var td = this.firstChild;
-		td.firstChild.click();
-	});
+	
+	action = 'toggle';
 
 	if (img.alt == dotclear.img_plus_alt) {
 		img.src = dotclear.img_minus_src;
 		img.alt = dotclear.img_minus_alt;
+		action = 'open';
 	} else {
 		img.src = dotclear.img_plus_src;
 		img.alt = dotclear.img_plus_alt;
+		action = 'close';
 	}
+	
+	lines.each(function() {
+		var td = this.firstChild;
+		dotclear.viewPostContent(td.firstChild,td.firstChild.line,action);
+	});
 };
 
-dotclear.viewPostContent = function(img,line) {
+dotclear.viewPostContent = function(img,line,action) {
+	
+	var action = action || 'toggle';
 	var postId = line.id.substr(1);
 	var tr = document.getElementById('pe'+postId);
 	
-	if (!tr) {
+	if ( !tr && ( action == 'toggle' || action == 'open' ) ) {
 		tr = document.createElement('tr');
 		tr.id = 'pe'+postId;
@@ -78,21 +85,35 @@
 		});
 		
-		$(line).toggleClass('expand');
+		$(line).addClass('expand');
 		line.parentNode.insertBefore(tr,line.nextSibling);
 	}
-	else if (tr.style.display == 'none')
+	else if (tr && tr.style.display == 'none' && ( action == 'toggle' || action == 'open' ) )
 	{
-		$(tr).toggle();
-		$(line).toggleClass('expand');
+		$(tr).css('display', 'table-row');
+		$(line).addClass('expand');
 		img.src = dotclear.img_minus_src;
 		img.alt = dotclear.img_minus_alt;
 	}
-	else
+	else if (tr && tr.style.display != 'none' && ( action == 'toggle' || action == 'close' ) )
 	{
-		$(tr).toggle();
-		$(line).toggleClass('expand');
+		$(tr).css('display', 'none');
+		$(line).removeClass('expand');
 		img.src = dotclear.img_plus_src;
 		img.alt = dotclear.img_plus_alt;
 	}
+	
+	parentTable = $(line).parents('table');
+	if( parentTable.find('tr.expand').length == parentTable.find('tr.line').length ) {
+		img = parentTable.find('tr:not(.line) th:first img');
+		img.attr('src',dotclear.img_minus_src);
+		img.attr('alt',dotclear.img_minus_alt);
+	}
+	
+	if( parentTable.find('tr.expand').length == 0 ) {
+		img = parentTable.find('tr:not(.line) th:first img');
+		img.attr('src',dotclear.img_plus_src);
+		img.attr('alt',dotclear.img_plus_alt);
+	}
+	
 };
 
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 1636)
+++ admin/style/default.css	(revision 1668)
@@ -575,5 +575,9 @@
 	padding: 1em 3em;
 	vertical-align: top;
-	border: 1px solid #ccc;
+	border: 1px solid #ddd;
+	border-collapse: collapse;
+}
+.db-item h3 {
+	font-weight: normal;
 }
 #dashboard-items img {
@@ -1303,5 +1307,5 @@
 	border-style: solid;
 	border-color: #e3e3e3;
-	padding: .3em .5em;
+	padding: .3em 1em .3em .5em;
 	vertical-align: top;
 }
@@ -1311,5 +1315,5 @@
 	border-color: #ccc;
 	background: #f3f3ff;
-	padding: .3em .5em;
+	padding: .3em 1em .3em .5em;
 	vertical-align: top;
 	text-align: left;
@@ -1336,4 +1340,8 @@
 	white-space: nowrap;
 	vertical-align: top;
+}
+table .count {
+	text-align: right;
+	padding-right: 1.5em;
 }
 table.settings, table.prefs {
Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 1622)
+++ inc/admin/lib.pager.php	(revision 1668)
@@ -136,9 +136,9 @@
 		'<td class="maximal" scope="row"><a href="'.$this->core->getPostAdminURL($this->rs->post_type,$this->rs->post_id).'">'.
 		html::escapeHTML($this->rs->post_title).'</a></td>'.
-		'<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$this->rs->post_dt).'</td>'.
+		'<td class="nowrap count">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$this->rs->post_dt).'</td>'.
 		'<td class="nowrap">'.$cat_title.'</td>'.
 		'<td class="nowrap">'.html::escapeHTML($this->rs->user_id).'</td>'.
-		'<td class="nowrap">'.$this->rs->nb_comment.'</td>'.
-		'<td class="nowrap">'.$this->rs->nb_trackback.'</td>'.
+		'<td class="nowrap count">'.$this->rs->nb_comment.'</td>'.
+		'<td class="nowrap count">'.$this->rs->nb_trackback.'</td>'.
 		'<td class="nowrap status">'.$img_status.' '.$selected.' '.$protected.' '.$attach.'</td>'.
 		'</tr>';
@@ -234,5 +234,5 @@
 		'title="'.html::escapeHTML($this->rs->getURL()).'">'.
 		html::escapeHTML($this->rs->post_title).'</a></td>'.
-		'<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$this->rs->post_dt).'</td>'.
+		'<td class="nowrap count">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$this->rs->post_dt).'</td>'.
 		'<td class="nowrap">'.html::escapeHTML($this->rs->user_id).'</td>'.
 		'<td class="nowrap status">'.$img_status.' '.$selected.' '.$protected.' '.$attach.'</td>'.
@@ -260,5 +260,6 @@
 			$html_block =
 			'<table><caption class="hidden">'.__('Comments and trackbacks list').'</caption><tr>'.
-			'<th colspan="3" scope="col" abbr="comm" class="first">'.__('Type and author').'</th>'.
+			'<th colspan="2" scope="col" abbr="comm" class="first">'.__('Type').'</th>'.
+			'<th scope="col">'.__('Author').'</th>'.
 			'<th scope="col">'.__('Date').'</th>'.
 			'<th scope="col" class="txt-center">'.__('Status').'</th>'.
@@ -326,4 +327,7 @@
 			$post_title = mb_strcut($post_title,0,57).'...';
 		}
+		$comment_title = sprintf(__('Edit the %1$s from %2$s'),
+			$this->rs->comment_trackback ? __('trackback') : __('comment'),
+			html::escapeHTML($this->rs->comment_author));
 		
 		$res = '<tr class="line'.($this->rs->comment_status != 1 ? ' offline' : '').'"'.
@@ -333,11 +337,10 @@
 		'<td class="nowrap">'.
 		form::checkbox(array('comments[]'),$this->rs->comment_id,'','','',0).'</td>'.
-		'<td class="status txt-center">'.
-			'<a href="'.$comment_url.'">'.
-			'<img src="images/edit-mini.png" alt="" title="'.__('Edit').'" /> '.
-			'</a>'.'</td>'.
-		'<td class="maximal" scope="row">'.($this->rs->comment_trackback ? __('trackback from') : __('comment from')).' '.
-			'<a href="'.$author_url.'">'.html::escapeHTML($this->rs->comment_author).'</a></td>'.
-		'<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$this->rs->comment_dt).'</td>'.
+		'<td class="nowrap" abbr="'.__('Type and author').'" scope="raw">'.
+			'<a href="'.$comment_url.'" title="'.$comment_title.'">'.
+			'<img src="images/edit-mini.png" alt="'.__('Edit').'"/> '.
+			($this->rs->comment_trackback ? __('trackback') : __('comment')).' '.'</a></td>'.
+		'<td class="nowrap maximal"><a href="'.$author_url.'">'.html::escapeHTML($this->rs->comment_author).'</a></td>'.
+		'<td class="nowrap count">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$this->rs->comment_dt).'</td>'.
 		'<td class="nowrap status txt-center">'.$img_status.'</td>'.
 		'<td class="nowrap"><a href="'.$post_url.'">'.
@@ -418,5 +421,5 @@
 		'<td class="nowrap">'.html::escapeHTML($this->rs->user_name).'</td>'.
 		'<td class="nowrap">'.html::escapeHTML($this->rs->user_displayname).'</td>'.
-		'<td class="nowrap"><a href="posts.php?user_id='.$this->rs->user_id.'">'.
+		'<td class="nowrap count"><a href="posts.php?user_id='.$this->rs->user_id.'">'.
 		$this->rs->nb_post.'</a></td>'.
 		'</tr>';
Index: locales/bn/plugins.po
===================================================================
--- locales/bn/plugins.po	(revision 1636)
+++ locales/bn/plugins.po	(revision 1668)
@@ -1060,14 +1060,14 @@
 msgstr ""
 
-msgid "Page status:"
-msgstr ""
-
-msgid "Page position:"
-msgstr ""
-
-msgid "Page lang:"
-msgstr ""
-
-msgid "Page password:"
+msgid "Page status"
+msgstr ""
+
+msgid "Page position"
+msgstr ""
+
+msgid "Page lang"
+msgstr ""
+
+msgid "Page password"
 msgstr ""
 
Index: locales/ca/plugins.po
===================================================================
--- locales/ca/plugins.po	(revision 1636)
+++ locales/ca/plugins.po	(revision 1668)
@@ -1056,14 +1056,14 @@
 msgstr ""
 
-msgid "Page status:"
-msgstr ""
-
-msgid "Page position:"
-msgstr ""
-
-msgid "Page lang:"
-msgstr ""
-
-msgid "Page password:"
+msgid "Page status"
+msgstr ""
+
+msgid "Page position"
+msgstr ""
+
+msgid "Page lang"
+msgstr ""
+
+msgid "Page password"
 msgstr ""
 
Index: locales/cs/plugins.po
===================================================================
--- locales/cs/plugins.po	(revision 1636)
+++ locales/cs/plugins.po	(revision 1668)
@@ -1065,14 +1065,14 @@
 msgstr ""
 
-msgid "Page status:"
+msgid "Page status"
 msgstr "Stav stránky:"
 
-msgid "Page position:"
+msgid "Page position"
 msgstr "Pozice stránky:"
 
-msgid "Page lang:"
+msgid "Page lang"
 msgstr "Jazyk stránky:"
 
-msgid "Page password:"
+msgid "Page password"
 msgstr "Heslo stránky:"
 
Index: locales/da/plugins.po
===================================================================
--- locales/da/plugins.po	(revision 1636)
+++ locales/da/plugins.po	(revision 1668)
@@ -1056,14 +1056,14 @@
 msgstr ""
 
-msgid "Page status:"
-msgstr ""
-
-msgid "Page position:"
-msgstr ""
-
-msgid "Page lang:"
-msgstr ""
-
-msgid "Page password:"
+msgid "Page status"
+msgstr ""
+
+msgid "Page position"
+msgstr ""
+
+msgid "Page lang"
+msgstr ""
+
+msgid "Page password"
 msgstr ""
 
Index: locales/de/plugins.po
===================================================================
--- locales/de/plugins.po	(revision 1636)
+++ locales/de/plugins.po	(revision 1668)
@@ -1066,14 +1066,14 @@
 msgstr ""
 
-msgid "Page status:"
+msgid "Page status"
 msgstr "Status der Seite:"
 
-msgid "Page position:"
+msgid "Page position"
 msgstr "Position der Seite:"
 
-msgid "Page lang:"
+msgid "Page lang"
 msgstr "Sprache der Seite:"
 
-msgid "Page password:"
+msgid "Page password"
 msgstr "Passwort der Seite:"
 
Index: locales/en/plugins.po
===================================================================
--- locales/en/plugins.po	(revision 1636)
+++ locales/en/plugins.po	(revision 1668)
@@ -1076,14 +1076,14 @@
 msgstr ""
 
-msgid "Page status:"
-msgstr ""
-
-msgid "Page position:"
-msgstr ""
-
-msgid "Page lang:"
-msgstr ""
-
-msgid "Page password:"
+msgid "Page status"
+msgstr ""
+
+msgid "Page position"
+msgstr ""
+
+msgid "Page lang"
+msgstr ""
+
+msgid "Page password"
 msgstr ""
 
Index: locales/eo/plugins.po
===================================================================
--- locales/eo/plugins.po	(revision 1636)
+++ locales/eo/plugins.po	(revision 1668)
@@ -1056,14 +1056,14 @@
 msgstr ""
 
-msgid "Page status:"
-msgstr ""
-
-msgid "Page position:"
-msgstr ""
-
-msgid "Page lang:"
-msgstr ""
-
-msgid "Page password:"
+msgid "Page status"
+msgstr ""
+
+msgid "Page position"
+msgstr ""
+
+msgid "Page lang"
+msgstr ""
+
+msgid "Page password"
 msgstr ""
 
Index: locales/es-ar/plugins.po
===================================================================
--- locales/es-ar/plugins.po	(revision 1636)
+++ locales/es-ar/plugins.po	(revision 1668)
@@ -1068,14 +1068,14 @@
 msgstr ""
 
-msgid "Page status:"
+msgid "Page status"
 msgstr "Estado de la pagina:"
 
-msgid "Page position:"
+msgid "Page position"
 msgstr "Posición de la pagina:"
 
-msgid "Page lang:"
+msgid "Page lang"
 msgstr "Idioma de la pagina:"
 
-msgid "Page password:"
+msgid "Page password"
 msgstr "Contraseña de la pagina:"
 
Index: locales/es/plugins.po
===================================================================
--- locales/es/plugins.po	(revision 1636)
+++ locales/es/plugins.po	(revision 1668)
@@ -1074,14 +1074,14 @@
 msgstr ""
 
-msgid "Page status:"
+msgid "Page status"
 msgstr "Estado de la página:"
 
-msgid "Page position:"
+msgid "Page position"
 msgstr "Posición de la página:"
 
-msgid "Page lang:"
+msgid "Page lang"
 msgstr "Idioma de la página:"
 
-msgid "Page password:"
+msgid "Page password"
 msgstr "Contraseña de la página:"
 
Index: locales/eu/plugins.po
===================================================================
--- locales/eu/plugins.po	(revision 1636)
+++ locales/eu/plugins.po	(revision 1668)
@@ -1056,14 +1056,14 @@
 msgstr ""
 
-msgid "Page status:"
-msgstr ""
-
-msgid "Page position:"
-msgstr ""
-
-msgid "Page lang:"
-msgstr ""
-
-msgid "Page password:"
+msgid "Page status"
+msgstr ""
+
+msgid "Page position"
+msgstr ""
+
+msgid "Page lang"
+msgstr ""
+
+msgid "Page password"
 msgstr ""
 
Index: locales/fr/main.po
===================================================================
--- locales/fr/main.po	(revision 1637)
+++ locales/fr/main.po	(revision 1668)
@@ -3273,2 +3273,14 @@
 msgid "Save my options"
 msgstr "Enregistrer mes options"
+
+msgid "Blog id"
+msgstr "Identifiant"
+
+msgid "Edit blog settings for %s"
+msgstr "Modifier les paramètres de %s"
+
+msgid "Edit blog settings"
+msgstr "Modifier les paramètres du blog"
+
+msgid "Edit the %1$s from %2$s"
+msgstr "Modifier le %1$s de %2$s"
Index: locales/fr/plugins.po
===================================================================
--- locales/fr/plugins.po	(revision 1636)
+++ locales/fr/plugins.po	(revision 1668)
@@ -1255,15 +1255,15 @@
 msgstr "Voir cette page sur le site"
 
-msgid "Page status:"
-msgstr "État de la page :"
-
-msgid "Page position:"
-msgstr "Position de la page :"
-
-msgid "Page lang:"
-msgstr "Langue de la page :"
-
-msgid "Page password:"
-msgstr "Mot de passe de la page :"
+msgid "Page status"
+msgstr "État de la page"
+
+msgid "Page position"
+msgstr "Position de la page"
+
+msgid "Page lang"
+msgstr "Langue de la page"
+
+msgid "Page password"
+msgstr "Mot de passe de la page"
 
 msgid ""
Index: locales/hu/plugins.po
===================================================================
--- locales/hu/plugins.po	(revision 1636)
+++ locales/hu/plugins.po	(revision 1668)
@@ -1077,14 +1077,14 @@
 msgstr ""
 
-msgid "Page status:"
+msgid "Page status"
 msgstr "Oldal állapota:"
 
-msgid "Page position:"
+msgid "Page position"
 msgstr "Oldal pozíciója:"
 
-msgid "Page lang:"
+msgid "Page lang"
 msgstr "Oldal nyelve:"
 
-msgid "Page password:"
+msgid "Page password"
 msgstr "Oldal jelszava:"
 
Index: locales/it/plugins.po
===================================================================
--- locales/it/plugins.po	(revision 1636)
+++ locales/it/plugins.po	(revision 1668)
@@ -1056,14 +1056,14 @@
 msgstr ""
 
-msgid "Page status:"
-msgstr ""
-
-msgid "Page position:"
-msgstr ""
-
-msgid "Page lang:"
-msgstr ""
-
-msgid "Page password:"
+msgid "Page status"
+msgstr ""
+
+msgid "Page position"
+msgstr ""
+
+msgid "Page lang"
+msgstr ""
+
+msgid "Page password"
 msgstr ""
 
Index: locales/ja/plugins.po
===================================================================
--- locales/ja/plugins.po	(revision 1636)
+++ locales/ja/plugins.po	(revision 1668)
@@ -1072,14 +1072,14 @@
 msgstr ""
 
-msgid "Page status:"
+msgid "Page status"
 msgstr "ページの状態："
 
-msgid "Page position:"
+msgid "Page position"
 msgstr "ページの位置："
 
-msgid "Page lang:"
+msgid "Page lang"
 msgstr "ページの言語："
 
-msgid "Page password:"
+msgid "Page password"
 msgstr "ページのパスワード："
 
Index: locales/ko/plugins.po
===================================================================
--- locales/ko/plugins.po	(revision 1636)
+++ locales/ko/plugins.po	(revision 1668)
@@ -1079,14 +1079,14 @@
 msgstr ""
 
-msgid "Page status:"
+msgid "Page status"
 msgstr "페이지 공개상태 :"
 
-msgid "Page position:"
+msgid "Page position"
 msgstr "페이지 위치 :"
 
-msgid "Page lang:"
+msgid "Page lang"
 msgstr "페이지 언어 :"
 
-msgid "Page password:"
+msgid "Page password"
 msgstr "페이지 비밀번호 :"
 
Index: locales/lt/plugins.po
===================================================================
--- locales/lt/plugins.po	(revision 1499)
+++ locales/lt/plugins.po	(revision 1668)
@@ -1024,14 +1024,14 @@
 msgstr "Peržiūrėti puslapį"
 
-msgid "Page status:"
+msgid "Page status"
 msgstr "Puslapio statusas:"
 
-msgid "Page position:"
+msgid "Page position"
 msgstr "Puslapio pozicija:"
 
-msgid "Page lang:"
+msgid "Page lang"
 msgstr "Puslapio kalba:"
 
-msgid "Page password:"
+msgid "Page password"
 msgstr "Puslapio slaptažodis:"
 
Index: locales/nl/plugins.po
===================================================================
--- locales/nl/plugins.po	(revision 1636)
+++ locales/nl/plugins.po	(revision 1668)
@@ -1057,14 +1057,14 @@
 msgstr ""
 
-msgid "Page status:"
-msgstr ""
-
-msgid "Page position:"
-msgstr ""
-
-msgid "Page lang:"
-msgstr ""
-
-msgid "Page password:"
+msgid "Page status"
+msgstr ""
+
+msgid "Page position"
+msgstr ""
+
+msgid "Page lang"
+msgstr ""
+
+msgid "Page password"
 msgstr ""
 
Index: locales/oc/plugins.po
===================================================================
--- locales/oc/plugins.po	(revision 1636)
+++ locales/oc/plugins.po	(revision 1668)
@@ -1056,14 +1056,14 @@
 msgstr ""
 
-msgid "Page status:"
-msgstr ""
-
-msgid "Page position:"
-msgstr ""
-
-msgid "Page lang:"
-msgstr ""
-
-msgid "Page password:"
+msgid "Page status"
+msgstr ""
+
+msgid "Page position"
+msgstr ""
+
+msgid "Page lang"
+msgstr ""
+
+msgid "Page password"
 msgstr ""
 
Index: locales/pl/plugins.po
===================================================================
--- locales/pl/plugins.po	(revision 1636)
+++ locales/pl/plugins.po	(revision 1668)
@@ -1061,14 +1061,14 @@
 msgstr ""
 
-msgid "Page status:"
+msgid "Page status"
 msgstr "Stan strony:"
 
-msgid "Page position:"
+msgid "Page position"
 msgstr "Pozycja strony:"
 
-msgid "Page lang:"
+msgid "Page lang"
 msgstr "Język strony:"
 
-msgid "Page password:"
+msgid "Page password"
 msgstr "Hasło strony"
 
Index: locales/pt-br/plugins.po
===================================================================
--- locales/pt-br/plugins.po	(revision 1636)
+++ locales/pt-br/plugins.po	(revision 1668)
@@ -1056,14 +1056,14 @@
 msgstr ""
 
-msgid "Page status:"
-msgstr ""
-
-msgid "Page position:"
-msgstr ""
-
-msgid "Page lang:"
-msgstr ""
-
-msgid "Page password:"
+msgid "Page status"
+msgstr ""
+
+msgid "Page position"
+msgstr ""
+
+msgid "Page lang"
+msgstr ""
+
+msgid "Page password"
 msgstr ""
 
Index: locales/pt/plugins.po
===================================================================
--- locales/pt/plugins.po	(revision 1636)
+++ locales/pt/plugins.po	(revision 1668)
@@ -1073,14 +1073,14 @@
 msgstr ""
 
-msgid "Page status:"
+msgid "Page status"
 msgstr "Estatutos da página:"
 
-msgid "Page position:"
+msgid "Page position"
 msgstr "Posição da página:"
 
-msgid "Page lang:"
+msgid "Page lang"
 msgstr "Língua da página:"
 
-msgid "Page password:"
+msgid "Page password"
 msgstr "Senha da página:"
 
Index: locales/ro/plugins.po
===================================================================
--- locales/ro/plugins.po	(revision 1636)
+++ locales/ro/plugins.po	(revision 1668)
@@ -1068,14 +1068,14 @@
 msgstr ""
 
-msgid "Page status:"
-msgstr ""
-
-msgid "Page position:"
-msgstr ""
-
-msgid "Page lang:"
-msgstr ""
-
-msgid "Page password:"
+msgid "Page status"
+msgstr ""
+
+msgid "Page position"
+msgstr ""
+
+msgid "Page lang"
+msgstr ""
+
+msgid "Page password"
 msgstr ""
 
Index: locales/ru/plugins.po
===================================================================
--- locales/ru/plugins.po	(revision 1636)
+++ locales/ru/plugins.po	(revision 1668)
@@ -1064,14 +1064,14 @@
 msgstr ""
 
-msgid "Page status:"
+msgid "Page status"
 msgstr "Статус страницы:"
 
-msgid "Page position:"
+msgid "Page position"
 msgstr "Позиция страницы:"
 
-msgid "Page lang:"
+msgid "Page lang"
 msgstr "Язык страницы:"
 
-msgid "Page password:"
+msgid "Page password"
 msgstr "Пароль страницы:"
 
Index: locales/sr/plugins.po
===================================================================
--- locales/sr/plugins.po	(revision 1636)
+++ locales/sr/plugins.po	(revision 1668)
@@ -1056,14 +1056,14 @@
 msgstr ""
 
-msgid "Page status:"
-msgstr ""
-
-msgid "Page position:"
-msgstr ""
-
-msgid "Page lang:"
-msgstr ""
-
-msgid "Page password:"
+msgid "Page status"
+msgstr ""
+
+msgid "Page position"
+msgstr ""
+
+msgid "Page lang"
+msgstr ""
+
+msgid "Page password"
 msgstr ""
 
Index: locales/sv/plugins.po
===================================================================
--- locales/sv/plugins.po	(revision 1636)
+++ locales/sv/plugins.po	(revision 1668)
@@ -1056,14 +1056,14 @@
 msgstr ""
 
-msgid "Page status:"
-msgstr ""
-
-msgid "Page position:"
-msgstr ""
-
-msgid "Page lang:"
-msgstr ""
-
-msgid "Page password:"
+msgid "Page status"
+msgstr ""
+
+msgid "Page position"
+msgstr ""
+
+msgid "Page lang"
+msgstr ""
+
+msgid "Page password"
 msgstr ""
 
Index: locales/te/plugins.po
===================================================================
--- locales/te/plugins.po	(revision 1636)
+++ locales/te/plugins.po	(revision 1668)
@@ -1061,14 +1061,14 @@
 msgstr ""
 
-msgid "Page status:"
+msgid "Page status"
 msgstr "పేజీ స్థితి:"
 
-msgid "Page position:"
+msgid "Page position"
 msgstr "పేజీ స్థానం:"
 
-msgid "Page lang:"
+msgid "Page lang"
 msgstr "పేజీ భాష:"
 
-msgid "Page password:"
+msgid "Page password"
 msgstr "పేజీ సంకేతపదం:"
 
Index: locales/tr/plugins.po
===================================================================
--- locales/tr/plugins.po	(revision 1636)
+++ locales/tr/plugins.po	(revision 1668)
@@ -1061,14 +1061,14 @@
 msgstr ""
 
-msgid "Page status:"
-msgstr ""
-
-msgid "Page position:"
-msgstr ""
-
-msgid "Page lang:"
-msgstr ""
-
-msgid "Page password:"
+msgid "Page status"
+msgstr ""
+
+msgid "Page position"
+msgstr ""
+
+msgid "Page lang"
+msgstr ""
+
+msgid "Page password"
 msgstr ""
 
Index: locales/zh-cn/plugins.po
===================================================================
--- locales/zh-cn/plugins.po	(revision 1636)
+++ locales/zh-cn/plugins.po	(revision 1668)
@@ -1071,14 +1071,14 @@
 msgstr ""
 
-msgid "Page status:"
+msgid "Page status"
 msgstr "页面状态："
 
-msgid "Page position:"
+msgid "Page position"
 msgstr "页面位置："
 
-msgid "Page lang:"
+msgid "Page lang"
 msgstr "页面语言："
 
-msgid "Page password:"
+msgid "Page password"
 msgstr "页面密码："
 
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 1625)
+++ plugins/pages/page.php	(revision 1668)
@@ -403,5 +403,5 @@
 			'items' => array(
 				'post_status' => 
-					'<p><label for="post_status" class="ib">'.__('Page status:').'</label> '.
+					'<p><label for="post_status" class="ib">'.__('Page status').'</label> '.
 					form::combo('post_status',$status_combo,$post_status,'','',!$can_publish).
 					'</p>',
@@ -411,5 +411,5 @@
 					'</p>',
 				'post_lang' =>
-					'<p><label for="post_lang" class="ib">'.__('Page lang:').'</label>'.
+					'<p><label for="post_lang" class="ib">'.__('Page lang').'</label>'.
 					form::combo('post_lang',$lang_combo,$post_lang).
 					'</p>',
@@ -426,5 +426,5 @@
 			'items' => array(
 				'post_position' => 
-					'<p><label for="post_position" class="classic">'.__('Page position:').'</label> '.
+					'<p><label for="post_position" class="classic">'.__('Page position').'</label> '.
 					form::field('post_position',3,3,(string) $post_position).
 					'</p>')),